(function ($) {
    window.estatebud = window.estatebud || {};

    window.estatebud = $.extend(true, window.estatebud, {
        show_shortcode_form: function (link) {
            $("#estatebud-shortcode-form-element").get(0).reset();
            tb_show(link.name, link.href, false);
            $("#TB_ajaxContent").css("width", "auto");
            this.switch_shortcode_mode($("#estatebud-shortcode-form-element"), "new");
        },
        show_shortcode_edit_form: function (id, nonce) {
            $("#add_new_shortcode").click();
            this.reset_shortcode_form($("#estatebud-shortcode-form-element"));
            this.fill_shortcode_form(id, nonce);
        },
        reset_shortcode_form: function ($form) {
            $form.find('input:text, input[type="date"], input[type="number"], input[type="url"], input[type="email"], input:password, input:file, select, textarea').each(function(){
                $this = $(this);
                if($this.attr("data-default")){
                    $this.val($this.attr("data-default"));
                }else{
                    $this.val('');
                }
            });

            $form.find('input:radio, input:checkbox').removeAttr('checked').removeAttr('selected');

            $form.find("select").each(function () {
                if($(this).attr("data-default")){
                    $(this).val($(this).attr("data-default"));
                }else{
                    $(this).val('');
                }
                this.sumo.reload();
            });
        },
        switch_shortcode_mode: function ($form, mode) {
            switch (mode) {
                default:
                case "new":
                    $("#TB_ajaxWindowTitle").text(estatebudL10n.new_form_title);
                    $form.find("input[type='submit']").val(estatebudL10n.new_form_button);
                    $form.find("#action_field").val("estatebud_save_shortcode");
                    $form.find("input[name='shortcode_security']").val(estatebudL10n.new_form_security);
                    this.reset_shortcode_form($form);
                    break;
                case "edit":
                    $("#TB_ajaxWindowTitle").text(estatebudL10n.edit_form_title);
                    $form.find("input[type='submit']").val(estatebudL10n.edit_form_button);
                    $form.find("#action_field").val("estatebud_edit_shortcode");
                    $form.find("input[name='shortcode_security']").val(estatebudL10n.edit_form_security);
                    break;
            }
        },
        fill_shortcode_form: function (id, nonce) {
            $.ajax({
                method: "GET",
                url: ajaxurl,
                data: {
                    id: id,
                    shortcode_security: nonce,
                    action: "estatebud_get_shortcode"
                },
                dataType: "json",
                success: function (data) {
                    if (data.status == "success") {
                        for (input in data.data) {
                            if (typeof data.data[input] === "object") {
                                var inputs = $("#estatebud-shortcode-form-element [name='" + input + "[]']");
                                if (inputs.length > 0) {
                                    if (inputs[0].tagName == "SELECT") {
                                        for (var i in data.data[input]) {
                                            $(inputs[0]).find("option[value='" + data.data[input][i] + "']").prop("selected", "selected");
                                        }
                                        inputs[0].sumo.reload();
                                    } else if (inputs[0].tagName == "INPUT") {
                                        for (checkbox in data.data[input]) {
                                            var check = inputs.filter("[value='" + data.data[input][checkbox] + "']");
                                            check.prop("checked", "checked");
                                        }
                                    }
                                }
                            } else {
                                var inputs = $("#estatebud-shortcode-form-element [name='" + input + "']");
                                if (inputs.length > 0) {
                                    if (inputs[0].type == "checkbox") {
                                        inputs.each(function () {
                                            if (this.value == data.data[input])
                                                this.checked = true;
                                        });
                                    } else if (inputs[0].type == "radio") {
                                        inputs.each(function () {
                                            if (this.value == data.data[input])
                                                this.checked = true;
                                        });
                                    } else {
                                        if (inputs.length > 0) {
                                            inputs.val(data.data[input]);
                                            inputs.trigger("change");
                                            if(inputs[0].tagName == "SELECT"){
                                                inputs[0].sumo.reload();
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        estatebud.switch_shortcode_mode($("#estatebud-shortcode-form-element"), "edit");
                        $("#estatebud-shortcode-form-element [name='old_key']").val(data.data["shortcode_key"]);
                    } else {
                        alert(estatebudL10n.error + data.message);
                    }
                },
                error: function (xhr, status, textStatus) {
                    alert(estatebudL10n.error + textStatus);
                }
            })
        },
        new_shortcode: function (form) {
            $.ajax({
                method: "POST",
                url: ajaxurl,
                data: $(form).serialize(),
                dataType: "json",
                success: function (data) {
                    if (data.status === "success") {
                        alert(data.message);
                        tb_remove();
                        location.reload();
                    } else {
                        alert(estatebudL10n.error + data.message);
                    }
                },
                error: function (xhr, status, textStatus) {
                    alert(estatebudL10n.error + textStatus);
                }
            });
            return false;
        },
        delete_shortcode: function (id, nonce) {
            if (window.confirm(wp.i18n.__("Are you sure you wish to delete this record?"))) {
                $.ajax({
                    method: "POST",
                    url: ajaxurl,
                    data: {
                        shortcode_key: id,
                        action: "estatebud_delete_shortcode",
                        shortcode_security: nonce
                    },
                    dataType: "json",
                    success: function (data) {
                        if (data.status === "success") {
                            alert(data.message);
                            location.reload();
                        } else {
                            alert(estatebudL10n.error + data.message);
                        }
                    },
                    error: function (xhr, status, textStatus) {
                        alert(estatebudL10n.error + textStatus);
                    }
                });
            }
        },
        show_widget_form: function (link) {
            $("#estatebud-widget-form-element").get(0).reset();
            tb_show(link.name, link.href, false);
            $("#TB_ajaxContent").css("width", "auto");
            this.switch_widget_mode($("#estatebud-widget-form-element"), "new");
            $("#TB_window").css("margin-top", 0).css("top", "5vh");
        },
        show_widget_edit_form: function (id, nonce) {
            $("#add_new_widget").click();
            this.reset_widget_form($("#estatebud-widget-form-element"));
            this.fill_widget_form(id, nonce);
        },
        reset_widget_form: function ($form) {
            $form.find('input:text, input[type="date"], input[type="number"], input[type="url"], input[type="email"], input:password, input:file, select, textarea').each(function(){
                $this = $(this);
                if($this.attr("data-default")){
                    $this.val($(this).attr("data-default"));
                }else{
                    $this.val('');
                }
            });
            $form.find('input:radio, input:checkbox')
                .removeAttr('checked').removeAttr('selected');
            $("#post_type select, #page_type select").removeAttr("disabled");
            $form.find("select").each(function () {
                $(this).val("").trigger('change');
            });
            window.aceEditor.getSession().setValue($('#template_textarea').val());
        },
        switch_widget_mode: function ($form, mode) {
            switch (mode) {
                default:
                    case "new":
                    $("#TB_ajaxWindowTitle").text(estatebudL10n.new_form_title);
                $form.find("input[type='submit']").val(estatebudL10n.new_form_button);
                $form.find("#action_field").val("estatebud_save_widget");
                $form.find("input[name='widget_security']").val(estatebudL10n.new_form_security);
                this.reset_widget_form($form);
                break;
                case "edit":
                        $("#TB_ajaxWindowTitle").text(estatebudL10n.edit_form_title);
                    $form.find("input[type='submit']").val(estatebudL10n.edit_form_button);
                    $form.find("#action_field").val("estatebud_edit_widget");
                    $form.find("input[name='widget_security']").val(estatebudL10n.edit_form_security);
                    break;
            }
        },
        fill_widget_form: function (id, nonce) {
            $.ajax({
                method: "GET",
                url: ajaxurl,
                data: {
                    id: id,
                    widget_security: nonce,
                    action: "estatebud_get_widget"
                },
                dataType: "json",
                success: function (data) {
                    if (data.status == "success") {
                        for (input in data.data) {
                            if (typeof data.data[input] === "object") {
                                var inputs = $("#estatebud-widget-form-element [name='" + input + "[]']");
                                if (inputs.length > 0) {
                                    if (inputs[0].tagName == "SELECT") {
                                        for (var i in data.data[input]) {
                                            $(inputs[0]).find("option[value='" + data.data[input][i] + "']").prop("selected", "selected");
                                        }
                                        inputs[0].sumo.reload();
                                    } else if (inputs[0].tagName == "INPUT") {
                                        for (checkbox in data.data[input]) {
                                            var check = inputs.filter("[value='" + data.data[input][checkbox] + "']");
                                            check.prop("checked", "checked");
                                        }
                                    }
                                }
                            } else {
                                var inputs = $("#estatebud-widget-form-element [name='" + input + "']");
                                if (inputs.length > 0) {
                                    if (inputs[0].type == "radio") {
                                        inputs.each(function () {
                                            if (this.value == data.data[input]) {
                                                this.checked = true;
                                                $(this).trigger("click");
                                            }
                                        });
                                    } else {
                                        if (inputs.length > 0) {
                                            inputs.val(data.data[input]);
                                            inputs.trigger("change");
                                            if(inputs[0].tagName == "SELECT"){
                                                inputs[0].sumo.reload();
                                            }
                                        }
                                    }
                                }
                            }
                        }
                        window.aceEditor.getSession().setValue($('#template_textarea').val().replace(/\\"/g, "\"").replace(/\\'/g, "'"));
                        estatebud.switch_widget_mode($("#estatebud-widget-form-element"), "edit");
                        $("#estatebud-widget-form-element [name='old_key']").val(data.data["widget_key"]);
                    } else {
                        alert(estatebudL10n.error + data.message);
                    }
                },
                error: function (xhr, status, textStatus) {
                    alert(estatebudL10n.error + textStatus);
                }
            })
        },
        default_widget_template: function($form){
            $.ajax({
                method: "GET",
                url: ajaxurl,
                data: {
                    action: "estatebud_get_default_widget_template"
                },
                success: function (data) {
                    window.aceEditor.getSession().setValue(data);
                    window.aceSyncHTML();
                }
            });
        },
        new_widget: function (form) {
            window.aceSyncHTML();
            $.ajax({
                method: "POST",
                url: ajaxurl,
                data: $(form).serialize(),
                dataType: "json",
                success: function (data) {
                    if (data.status === "success") {
                        alert(data.message);
                        tb_remove();
                        location.reload();
                    } else {
                        alert(estatebudL10n.error + data.message);
                    }
                },
                error: function (xhr, status, textStatus) {
                    alert(estatebudL10n.error + textStatus);
                }
            });
            return false;
        },
        delete_widget: function (id, nonce) {
            if (window.confirm(wp.i18n.__("Are you sure you wish to delete this record?"))) {
                $.ajax({
                    method: "POST",
                    url: ajaxurl,
                    data: {
                        widget_key: id,
                        action: "estatebud_delete_widget",
                        widget_security: nonce
                    },
                    dataType: "json",
                    success: function (data) {
                        if (data.status === "success") {
                            alert(data.message);
                            location.reload();
                        } else {
                            alert(estatebudL10n.error + data.message);
                        }
                    },
                    error: function (xhr, status, textStatus) {
                        alert(estatebudL10n.error + textStatus);
                    }
                });
            }
        },
        toolbar: {
            add_area_select_1: function(){
                window.aceEditor.insert("<select name='area_1[]' multiple></select>");
            },
            add_area_select_2: function(){
                window.aceEditor.insert("<select name='area_2[]' multiple></select>");
            },
            add_area_select_3: function(){
                window.aceEditor.insert("<select name='area_3[]' multiple></select>");
            },
            add_area_select_4: function(){
                window.aceEditor.insert("<select name='area_4[]' multiple></select>");
            },
            add_single_area_select: function(){
                window.aceEditor.insert("<select name='area[]' multiple></select>");
            },
            add_bathroom_min_select: function(){
                window.aceEditor.insert("<select name='bathrooms_min'></select>");
            },
            add_bathroom_max_select: function(){
                window.aceEditor.insert("<select name='bathrooms_max'></select>");
            },
            add_bedroom_min_select: function(){
                window.aceEditor.insert("<select name='bedrooms_min'></select>");
            },
            add_bedroom_max_select: function(){
                window.aceEditor.insert("<select name='bedrooms_max'></select>");
            },
            add_budget_max_select: function(){
                window.aceEditor.insert("<select name='budget_max'></select>");
            },
            add_budget_min_select: function(){
                window.aceEditor.insert("<select name='budget_min'></select>");
            },
            add_category_select: function(){
                window.aceEditor.insert("<select name='category[]' multiple></select>");
            },
            add_simple_category_select: function(){
                window.aceEditor.insert("<select name='category[]' data-type='simple' multiple></select>");
            },
            add_close_to_beach_checkbox: function(){
                window.aceEditor.insert("<input type='checkbox' name='walking_distance_to_beach' />");
            },
            add_label_select: function(){
                window.aceEditor.insert("<select name='label[]' multiple></select>");
            },
            add_mixed_input: function(){
                window.aceEditor.insert("<input type='text' name='query' />");
            },
            add_price_max_number_input: function(){
                window.aceEditor.insert("<input type='number' name='price_max' />");
            },
            add_price_min_number_input: function(){
                window.aceEditor.insert("<input type='number' name='price_min' />");
            },
            add_property_id_input: function(){
                window.aceEditor.insert("<input type='text' name='property_id' />");
            },
            add_sea_front_checkbox: function(){
                window.aceEditor.insert("<input type='checkbox' name='sea_front' />");
            },
            add_sea_view_checkbox: function(){
                window.aceEditor.insert("<input type='checkbox' name='sea_view' />");
            },
            add_status_select: function(){
                window.aceEditor.insert("<select name='status[]' multiple></select>");
            },
            add_swimming_pool_checkbox: function(){
                window.aceEditor.insert("<input type='checkbox' name='swimming_pool' />");
            },
            add_title_deed_check: function(){
                window.aceEditor.insert("<input type='checkbox' name='title_deed' />");
            },
            add_type_select: function(){
                window.aceEditor.insert("<select name='type[]' multiple></select>");
            },
            add_furnished_select: function(){
                window.aceEditor.insert("<select name='furnished[]' multiple></select>");
            },
        }
    });

    $(document).ready(function () {
        if (pagenow === "toplevel_page_estatebud_settings") {
            if (location.search.indexOf("shortcodes") > 0) {
                jQuery("#estatebud-shortcode-form").css("visibility", "hidden").show();
                jQuery("#estatebud-shortcode-form select").SumoSelect();
                jQuery("#estatebud-shortcode-form").hide().css("visibility", "visible");
            } else if (location.search.indexOf("widgets") > 0) {
                jQuery("#estatebud-widget-form").css("visibility", "hidden").show();
                jQuery("#estatebud-widget-form select").SumoSelect();
                jQuery("#estatebud-widget-form").hide().css("visibility", "visible");

                var editor, syncHTML = function () {
                        jQuery('#template_textarea').val(editor.getSession().getValue());
                    },
                    loadAce = function () {
                        editor = ace.edit('template');
                        editor.getSession().setUseWrapMode(true);
                        editor.setShowPrintMargin(false);
                        editor.getSession().setValue($('#template_textarea').val());
                        editor.getSession().setMode("ace/mode/html");
                        jQuery.fn.spin && $('#template_container').spin(false);
                        $('#template_container').parents("form").first().off("submit").on("submit", syncHTML);
                        window.aceEditor = editor;
                    };

                loadAce();

                window.aceSyncHTML = syncHTML;
            } else if (location.search.indexOf("plugin-settings") > 0) {
                $(".color-picker").wpColorPicker();
                var editor, syncCSS = function () {
                        $('#estatebud_custom_css_textarea').val(editor.getSession().getValue());
                    },
                    loadAce = function () {
                        editor = ace.edit('estatebud_custom_css');
                        window.safecss_editor = editor;
                        editor.getSession().setUseWrapMode(true);
                        editor.setShowPrintMargin(false);
                        editor.getSession().setValue($('#estatebud_custom_css_textarea').val());
                        editor.getSession().setMode("ace/mode/css");
                        jQuery.fn.spin && $('#estatebud_custom_css_container').spin(false);
                        $('#estatebud_custom_css_container').parents("form").first().submit(syncCSS);
                    };

                $(window).load(loadAce);

                window.aceSyncCSS = syncCSS;
            } else if (location.search.indexOf("listing-settings") > 0) {
                /*
                 * Replace all SVG images with inline SVG
                 */
                jQuery('img.svg').each(function () {
                    var $img = jQuery(this);
                    var imgID = $img.attr('id');
                    var imgClass = $img.attr('class');
                    var imgURL = $img.attr('src');

                    jQuery.get(imgURL, function (data) {
                        // Get the SVG tag, ignore the rest
                        var $svg = jQuery(data).find('svg');

                        // Add replaced image's ID to the new SVG
                        if (typeof imgID !== 'undefined') {
                            $svg = $svg.attr('id', imgID);
                        }
                        // Add replaced image's classes to the new SVG
                        if (typeof imgClass !== 'undefined') {
                            $svg = $svg.attr('class', imgClass + ' replaced-svg');
                        }

                        // Remove any invalid XML tags as per http://validator.w3.org
                        $svg = $svg.removeAttr('xmlns:a');

                        // Replace image with new SVG
                        $img.replaceWith($svg);

                    }, 'xml');
                });
            }
        }
    });
})(jQuery);
