<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */
?>

<h3>Browse properties using Interactive Maps</h3>
<p>For an enhanced user experience you can activate interactive maps, which lets users search properties based on their location. When moving or zooming the map, properties will automatically be added to the map. The user can click on a property to see more information, and also to view the full property listing details.</p>

<h3>Configuring Interactive Maps</h3>

<ol>
	<li>Create a <a href="<?php echo admin_url("admin.php?page=estatebud_settings&tab=shortcodes"); ?>">shortcode</a> with properties you want shown on the map. If you already created a shortcode, you can skip this step.</li>
	<li>Create a page and paste the shortcode using the following syntax: (assuming you have a shortcode labeled <kbd style="color: #ff0000;">foo</kbd>)
		<br /><br /><code>[estatebud_<span style="color: #ff0000;">foo</span>_map <span style="color: #0080d6">type</span>="list" <span style="color: #0080d6">position</span>="right" <span style="color: #0080d6">group</span>="true"]</code><br /><br />
		<ul>
			<li>The shortcode can contain three attributes:<br><br>
				<ol>
					<li><b style="color: #0080d6">type</b> - defines the sidebar layout. Can be <kbd>grid</kbd> to show the sidebar properties on grid, or <kbd>list</kbd> to show them as a list. If not set, list layout will be used.</li>
					<li><b style="color: #0080d6">position</b> - defines the sidebar position. Can be <kbd>left</kbd>, <kbd>right</kbd> or <kbd>none</kbd> to hide the sidebar. If not set, the sidebar will be shown on left.</li>
					<li><b style="color: #0080d6">group</b> - defines whether the markers on the map will group when there are too many markers in lower zoom levels. Can be <kbd>true</kbd> to enable grouping or <kbd>false</kbd> to disable it. If not set, the markers will be grouped automatically.</li>
				</ol><br>
			</li>
		</ul>
	</li>
</ol>