<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */

if (!isset($estatebud_api)) return;

if (isset($_POST['estatebud_pdf_submitted'])) {
    $estatebud_pdf_template = isset($_POST["estatebud_pdf_template"]);
    $estatebud_pdf_template_id = isset($_POST["estatebud_pdf_template_id"]) ? sanitize_text_field($_POST["estatebud_pdf_template_id"]) : '';
    $estatebud_pdf_show_agent = isset($_POST["estatebud_pdf_show_agent"]);
    $estatebud_pdf_branding_free = isset($_POST["estatebud_pdf_branding_free"]);
    
    update_option("estatebud_pdf_template", $estatebud_pdf_template);
    update_option("estatebud_pdf_template_id", $estatebud_pdf_template_id);
    update_option("estatebud_pdf_show_agent", $estatebud_pdf_show_agent);
    update_option("estatebud_pdf_branding_free", $estatebud_pdf_branding_free);
} else {
    $estatebud_pdf_template = get_option("estatebud_pdf_template",false);
    $estatebud_pdf_template_id = get_option("estatebud_pdf_template_id","");
    $estatebud_pdf_show_agent = get_option("estatebud_pdf_show_agent", false);
    $estatebud_pdf_branding_free = get_option("estatebud_pdf_branding_free", false);
}

?>
<form method="post">
    <input type="hidden" name="estatebud_pdf_submitted" value="true">
    <table class="form-table">
		<tr valign="top">
            <th scope="row"><?php _e("PDF brochure", "estatebud"); ?></th>
            <td>
				<label for="estatebud_pdf_template">
					<input type="checkbox" name="estatebud_pdf_template" id="estatebud_pdf_template" value="1" <?php if($estatebud_pdf_template) echo "checked"; ?>>
					Show a button to download PDF brochure
				</label>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row"><?php _e("PDF brochure template", "estatebud"); ?></th>
            <td>
                <select name="estatebud_pdf_template_id">
                <?php $templates = $estatebud_api->get_property_pdf_templates();
                    foreach($templates as $template)
                    {
                        echo "<option value='{$template->id}' data-supports-agent-info='".($template->agent_details_supported ? "1" : "0")."' " .
                            ($estatebud_pdf_template_id == $template->id ? "selected" : "") .
                            ">{$template->name}</option>";
                    }
                ?>
                </select>
            </td>
        </tr>
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr style="border-top: 1px solid #eee;"><td colspan="2">&nbsp;</td></tr>
        <tr valign="top">
            <th scope="row"><?php _e("Agent Details", "estatebud"); ?></th>
            <td>
				<label for="estatebud_pdf_show_agent">
					<input type="checkbox" name="estatebud_pdf_show_agent" id="estatebud_pdf_show_agent" value="1" <?php if($estatebud_pdf_show_agent) echo "checked"; ?>>
					Show agent contact details
				</label>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row"><?php _e("White label", "estatebud"); ?></th>
            <td>
				<label for="estatebud_pdf_branding_free">
					<input type="checkbox" name="estatebud_pdf_branding_free" id="estatebud_pdf_branding_free" value="1" <?php if($estatebud_pdf_branding_free) echo "checked"; ?>>
					Remove your own company's logo and branding
				</label>
            </td>
        </tr>
        <tr><th scope="row">&nbsp;</th><td><?php submit_button(); ?></td></tr>
    </table>
</form>
