<?php

if(!isset($estatebud_api)) return;

/**
 * Provide a form for creating and editing widgets in a modal
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/admin/partials
 */

?>

<div id="estatebud-widget-form" style="display: none">
    <form method="post" onsubmit="return estatebud.new_widget(this);" id="estatebud-widget-form-element">
    <?php wp_nonce_field( "estatebud_save_widget", "widget_security"); ?>
    <input type="hidden" id="action_field" name="action" value="estatebud_save_widget">
    <input type="hidden" name='old_key' value=''>
    <input type="hidden" name='create' value=''>
    <div class="container bootstrap-container">
    <div class="row estatebud-notice-row"></div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-field">
                    <label><?php echo __("Search Box Label", "estatebud");?></label>
                    <div style="flex: 1">
                        <input type="text" class="form-control" name="label" required minlength="3"><br>
                        <p class="description"><?php _e("This will be the label of the widget you will be selecting in the Estatebud Search Widget settings area.", "estatebud");?></p>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-field">
                    <label><?php echo __("Page/Post to Redirect", "estatebud");?></label>
                    <div style="flex: 1">
                        <p id='page_type'>
                        <input type="radio" onclick="jQuery('#page_type select').removeAttr('disabled'); jQuery('#post_type select').attr('disabled','disabled');" name="item_type" value="page"> Page:&nbsp;
                        <select name="redirect_page" required>
                            <option><?php _e("Select a Redirect Page", "estatebud");?></option>
                            <?php
                            global $wpdb;
                            $result = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}posts WHERE post_content LIKE '%[estatebud_%' AND post_content NOT LIKE '%[estatebud_detail]%' and post_type='page';" );
                            if ($result){
                                foreach($result as $page){
                                echo "<option value='" . $page->ID . "'>" . $page->post_title . "</option>";
                                }
                            }
                            ?>
                        </select>
                        </p>
                        <p id="post_type">
                        <input type="radio" onclick="jQuery('#post_type select').removeAttr('disabled'); jQuery('#page_type select').attr('disabled','disabled');" name="item_type" value="post"> Post:&nbsp;
                        <select name="redirect_post" required>
                            <option><?php _e("Select a Redirect Post", "estatebud");?></option>
                            <?php
                            global $wpdb;
                            $result = $wpdb->get_results( "SELECT * FROM {$wpdb->prefix}posts WHERE post_content LIKE '%[estatebud_%' AND post_content NOT LIKE '%[estatebud_detail]%' and post_type='post';" );
                            if ($result){
                                foreach($result as $page){
                                echo "<option value='" . $page->ID . "'>" . $page->post_title . "</option>";
                                }
                            }
                            ?>
                        </select>
                        </p>
                        <p class="description"><?php _e("The form you are creating will be redirected to the page/post you select here. The page should contain the Estatebud shortcode to operate correctly.", "estatebud");?></p>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-field">
                    <label><?php echo __("Form Template", "estatebud");?></label>
                    <div style="flex: 1">
                        <div id="template_container">
                            <style>
                                #template>div {
                                    margin-right: 0;
                                }
                                .ace_toolbar { display: table; margin-bottom: 10px; }
                                .ace_toolbar button {
                                    background: steelblue;
                                    color: white;
                                    border: 1px solid white;
                                    padding: 5px 8px;
                                    font-size: 78%;
                                    border-radius: 4px;
                                    border: none;
                                    margin: 2px 0px 0 1px;
                                    white-space: nowrap;
                                    word-break: keep-all;
                                }
                            </style>
                            <div class="ace_toolbar">
                                <button type="button" onclick="estatebud.toolbar.add_area_select_1();"><?php _e("Linked Area Select Level 1", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_area_select_2();"><?php _e("Linked Area Select Level 2", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_area_select_3();"><?php _e("Linked Area Select Level 3", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_area_select_4();"><?php _e("Linked Area Select Level 4", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_single_area_select();"><?php _e("Single Area Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_bathroom_min_select();"><?php _e("Bathroom Min Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_bathroom_max_select();"><?php _e("Bathroom Max Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_bedroom_min_select();"><?php _e("Bedroom Min Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_bedroom_max_select();"><?php _e("Bedroom Max Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_budget_max_select();"><?php _e("Budget Max Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_budget_min_select();"><?php _e("Budget Min Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_category_select();"><?php _e("Category Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_simple_category_select();"><?php _e("Simple Category Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_close_to_beach_checkbox();"><?php _e("\"Close to Beach\" Checkbox", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_label_select();"><?php _e("Label Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_mixed_input();"><?php _e("Mixed Input", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_price_max_number_input();"><?php _e("Price Max Number Input", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_price_min_number_input();"><?php _e("Price Min Number Input", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_property_id_input();"><?php _e("Property ID Input", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_sea_front_checkbox();"><?php _e("\"Sea Front\" Checkbox", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_sea_view_checkbox();"><?php _e("\"Sea View\" Checkbox", "estatebud"); ?>"</button>
                                <button type="button" onclick="estatebud.toolbar.add_status_select();"><?php _e("Property Status Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_swimming_pool_checkbox();"><?php _e("\"Swimming Pool\" Checkbox", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_title_deed_check();"><?php _e("\"Title Deed\" Checkbox", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_type_select();"><?php _e("Property Type Select", "estatebud"); ?></button>
                                <button type="button" onclick="estatebud.toolbar.add_furnished_select();"><?php _e("Furnished Select", "estatebud"); ?></button>
                            </div>
                            <div name="template" id="template" style="border: 1px solid #DFDFDF; -moz-border-radius: 3px; -webkit-border-radius: 3px; border-radius: 3px; width: 100%;
                            height: 400px; position: relative;"></div>
                        </div>
                        <textarea id="template_textarea" name="template" style="display: none;"></textarea>
                        <br><button type="button" onclick="return estatebud.default_widget_template(jQuery('#estatebud-widget-form-element'));"><?php _e("Load default template","estatebud");?></button>
                        <p class="description"><?php
                        echo "<br>";
                        _e("This area defines the HTML content that your form should have.", "estatebud");
                        echo "<br><ul style='list-style-type: square !important; margin: 0 2em;'><li>";
                        _e("You can use the buttons to add predefined input types, these are automatically filled by the Estatebud API.");
                        echo "</li><li>";
                        _e("If you want to customize the \"SELECT\" values, you can add your own options inside the tag. The \"SELECT\"'s which have options inside, won't be autofilled. ", "estatebud");
                        echo "</li><li>";
                        _e("If you want to customize the attributes of the inputs, feel free to add them to the HTML, it will be appended to the rendered HTML.", "estatebud");
                        echo "</li><li>";
                        _e("You can use Bootstrap Layouts and Form Elements if your current theme supports it.", "estatebud");
                        echo "</li><li>";
                        _e("The strings between <kbd>\${</kbd> and <kbd>}\$</kbd> will be translated in the current language. But you will need to add the translations manually. Plugins like Loco Translate won't recognize them automatically.", "estatebud");
                        echo "</li><li>";
                        _e("To make some fields visible when \"Show More\" link is clicked, wrap them inside&nbsp;<code>&lt;div class='estatebud-filter-form-more'&gt;&lt;/div&gt;</code> tags.");
                        echo "</ul><br>";
                        ?></p>
                    </div>
                </div>
            </div>
        </div>
        <?php submit_button(__("Add New Search Box", "estatebud"));?>
    </div>
    </form>
</div>