<?php

/**
 * Fired during plugin activation
 *
 * @link       http://estatebud.com
 * @since      1.0.0
 *
 * @package    Estatebud
 * @subpackage Estatebud/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Estatebud
 * @subpackage Estatebud/includes
 * @author     Estatebud
 */
class Estatebud_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		if(get_option("estatebud_email_template_user", false) == false){
			update_option("estatebud_email_template_user", file_get_contents(dirname(__FILE__) . "/defaults/template-estatebud-user.tpl"));
		}

		if(get_option("estatebud_email_template_contact", false) == false){
			update_option("estatebud_email_template_contact", file_get_contents(dirname(__FILE__) . "/defaults/template-estatebud-contact.tpl"));
		}
	}

}
