<?php

class Estatebud_Cache {
    public function remember($handle, $locale, $duration, $callback, $params = [])
    {
        $expiration = get_option("cache_estatebud_{$handle}_{$locale}_expiration", time() + ($duration * 2));
        if($expiration < time() + $duration)
        {
            $value = get_option("cache_estatebud_{$handle}_{$locale}", false);
            if($value !== false)
            {
                return $value;
            }
        }

        // expired or missing, get the contents again.
        $contents = call_user_func_array($callback, $params);

        // save option
        update_option("cache_estatebud_{$handle}_{$locale}", $contents);
        update_option("cache_estatebud_{$handle}_{$locale}_expiration", time() + $duration);

        return $contents;
    }
}