<?php

class Estatebud_Currency_Widget extends WP_Widget
{
    private $version = "4.0.0";

    function __construct()
    {
        parent::__construct(
            'estatebud-currency-widget',  // Base ID
            __("Estatebud Currency Switch Widget", "estatebud")   // Name
        );
        add_action('widgets_init', function () {
            register_widget('Estatebud_Currency_Widget');
        });

        add_action('wp_enqueue_scripts', array($this, 'scripts'));
        if(!has_action("estatebud_render_currency_widget")) {
            add_action('estatebud_render_currency_widget', array($this, 'render_currency_widget'), 2, 3);
        }
        if(!has_action("estatebud_render_currency_widget_contents")) {
            add_action('estatebud_render_currency_widget_contents', array($this, 'render_currency_widget_contents'), 2, 3);
        }
    }

    public $args = array(
        'before_title' => '<h4 class="widgettitle">',
        'after_title' => '</h4>',
        'before_widget' => '<div class="widget-wrap">',
        'after_widget' => '</div></div>'
    );

    public function scripts(){
        /*if(wp_script_is("estatebud-select") == false){
            wp_enqueue_style("estatebud-select", plugin_dir_url(__FILE__) . '../public/css/sumoselect.css', array(), $this->version, 'all');
            wp_enqueue_style("estatebud-override", plugin_dir_url(__FILE__) . '../public/css/estatebud-sumoselect.css', array(), $this->version, 'all');
            wp_enqueue_script("estatebud-select", plugin_dir_url(__FILE__) . '../public/js/sumoselect.full.min.js', array('jquery'), $this->version, false);
        }*/
    }

    public function widget($args, $instance)
    {

        echo $args['before_widget'];
        $this->render_currency_widget();
        echo $args['after_widget'];
    }

    public function render_currency_widget()
    {
        $estatebud_api = new EstatebudAPI(get_option("estatebud_api_key", null), isset($_GET["lang"]) ? $_GET["lang"] : get_locale());

        if($estatebud_api->auth_info == null) return;
        $currencies = get_option("estatebud_selected_currencies", []);
        sort($currencies);
		$api_currency = strtoupper($estatebud_api->auth_info->currency);
		if(!in_array($api_currency, $currencies)) {
            array_unshift($currencies, $api_currency);
        }
		$default_currency = isset($_COOKIE["estatebud_selected_currency"]) ? $_COOKIE["estatebud_selected_currency"] : "";
        if(!in_array($default_currency, $currencies)) $default_currency = $api_currency;
        echo '<select class="sumo-input" onchange="estatebudChangeCurrency(this, true);" style="width: 100%;">';
        foreach($currencies as $currency) :
            echo "<option value='$currency'" . ($default_currency == $currency ? "selected='selected'" : "" ) . ">$currency</option>";
        endforeach;
        echo '</select>';
        echo "<script>
        jQuery(document).ready(function(){
            jQuery('.sumo-input').SumoSelect();
        });
        </script>";
    }

    public function form($instance)
    {
        echo __("This widget has no configuration.", "estatebud");
    }

    public function update($new_instance, $old_instance)
    {
    }
}
$estatebud_currency_widget = new Estatebud_Currency_Widget();