<?php
header("Content-type: text/css; charset: UTF-8");

include('../../../../../wp-load.php');

function getContrastColor($hexColor) {

    // hexColor RGB
    $R1 = hexdec(substr($hexColor, 1, 2));
    $G1 = hexdec(substr($hexColor, 3, 2));
    $B1 = hexdec(substr($hexColor, 5, 2));

    // Black RGB
    $blackColor = "#000000";
    $R2BlackColor = hexdec(substr($blackColor, 1, 2));
    $G2BlackColor = hexdec(substr($blackColor, 3, 2));
    $B2BlackColor = hexdec(substr($blackColor, 5, 2));

     // Calc contrast ratio
     $L1 = 0.2126 * pow($R1 / 255, 2.2) +
           0.7152 * pow($G1 / 255, 2.2) +
           0.0722 * pow($B1 / 255, 2.2);

    $L2 = 0.2126 * pow($R2BlackColor / 255, 2.2) +
          0.7152 * pow($G2BlackColor / 255, 2.2) +
          0.0722 * pow($B2BlackColor / 255, 2.2);

    $contrastRatio = 0;
    if ($L1 > $L2) {
        $contrastRatio = (int)(($L1 + 0.05) / ($L2 + 0.05));
    } else {
        $contrastRatio = (int)(($L2 + 0.05) / ($L1 + 0.05));
    }
	
    // If contrast is more than 6, return black color
    if ($contrastRatio > 9) {
        return '#000000';
    } else {
        // if not, return white color.
        return '#FFFFFF';
    }
}

$estatebud_custom_css = get_option("estatebud_custom_css", "");
$estatebud_theme_color = str_replace("#", "", get_option("estatebud_theme_color", "#7633e3"));

if(preg_match("/^[0-9A-Fa-f]{0,6}$/", $estatebud_theme_color) == 1){
    $estatebud_theme_color = "#".$estatebud_theme_color;
}
else exit();

$estatebud_theme_text_color = getContrastColor($estatebud_theme_color);

?>

.styled_checkbox:checked+label:before {
    border-color: <?php echo $estatebud_theme_color; ?>;
}

.estatebud-filter-form .estatebud-filter-reset {
    color: <?php echo $estatebud_theme_color; ?>;
}


.estatebud-filter-form input[type='text']:focus,
.estatebud-filter-form input[type='number']:focus,
.estatebud-filter-form input[type='text']:active,
.estatebud-filter-form input[type='number']:active {
    border-color: <?php echo $estatebud_theme_color; ?> !important;
}

.estatebud-filter-form .estatebud-listing .estatebud-property:hover .estatebud-property-price {
    background-color: <?php echo $estatebud_theme_color; ?>;
    color: <?php echo $estatebud_theme_text_color; ?>
}

.estatebud-title-container .estatebud-listing-type ul li.selected { color: <?php echo $estatebud_theme_color; ?>; }
.estatebud-title-container .estatebud-listing-type ul li.selected:hover { color: <?php echo $estatebud_theme_color; ?>; }
.estatebud-title-container .estatebud-listing-type ul li.selected i { color: <?php echo $estatebud_theme_color; ?>; }
.estatebud-title-container .estatebud-listing-type ul li.selected:hover i { color: <?php echo $estatebud_theme_color; ?>; }

.estatebud-filter-button {
    background-color: <?php echo $estatebud_theme_color; ?>;
    color: <?php echo $estatebud_theme_text_color; ?>
}

.estatebud-widget-container .estatebud-listing .estatebud-property:hover .estatebud-property-price {
    background-color: <?php echo $estatebud_theme_color; ?>;
    color: <?php echo $estatebud_theme_text_color; ?>
}

#estatebud-property-details .estatebud-property-price {
    background-color: <?php echo $estatebud_theme_color; ?>;
    color: <?php echo $estatebud_theme_text_color; ?>
}

#estatebud-property-details .estatebud-contact input[type="text"]:focus,
#estatebud-property-details .estatebud-contact input[type="email"]:focus,
#estatebud-property-details .estatebud-contact input[type="tel"]:focus,
#estatebud-property-details .estatebud-contact textarea:focus {
    border-color: <?php echo $estatebud_theme_color; ?> !important;
}

#estatebud-property-details .estatebud-contact .estatebud-contact-form-submit {
    background: <?php echo $estatebud_theme_color; ?>;
    color: <?php echo $estatebud_theme_text_color; ?>
}

#estatebud-property-details .estatebud-contact .estatebud-contact-form-submit i {
    color: <?php echo $estatebud_theme_text_color; ?>
}

#estatebud-property-details .estatebud-block.estatebud-agents .estatebud-agent-email i,
#estatebud-property-details .estatebud-block.estatebud-agents .estatebud-agent-phone i,
#estatebud-property-details .estatebud-block.estatebud-branch .estatebud-branch-email i,
#estatebud-property-details .estatebud-block.estatebud-branch .estatebud-branch-phone i {
    color: <?php echo $estatebud_theme_color; ?>
}

.SumoSelect:hover .CaptionCont {
    border-color: transparent;
    box-shadow: none;
}

.SumoSelect.open .CaptionCont  {
    border-color: <?php echo $estatebud_theme_color; ?>;
    box-shadow: none;
}

.SumoSelect .optWrapper .options .opt.selected,
.SumoSelect .optWrapper .options .opt.selected:hover {
    background: <?php echo $estatebud_theme_color; ?>;
}

.SumoSelect .optWrapper .options .opt.selected label,
.SumoSelect .optWrapper .options .opt.selected:hover label {
    color: <?php echo $estatebud_theme_text_color; ?> !important
}

.SumoSelect .optwrapper,
.SumoSelect.open .optWrapper,
.SumoSelect > .optWrapper {
    border: 2px solid <?php echo $estatebud_theme_color; ?>;
    box-shadow: none;
    border-top: 0px solid transparent;
}

#estatebud-slider ul.estatebud-slick-dot li.slick-active {
    background-color: <?php echo $estatebud_theme_color; ?>;
}

.estatebud-slick-prev:hover, .estatebud-slick-next:hover, ul.estatebud-slick-dot li:hover {
    background-color: <?php echo $estatebud_theme_color; ?> !important;
}

#estatebud-slider-full ul.estatebud-slick-dot li.slick-active {
    background-color: <?php echo $estatebud_theme_color; ?>;
}

[data-pagination] li.current, [data-pagination] li.current a {
    background: <?php echo $estatebud_theme_color; ?>;
    color: <?php echo $estatebud_theme_text_color; ?>
}

#estatebud-property-details.estatebud-property-details-type-3 .estatebud-slider .estatebud-slider-nav .slick-slide.slick-current.slick-active {
    border: 6px solid <?php echo $estatebud_theme_color; ?> !important;
}

#estatebud-property-details .estatebud-slider-container:hover > i  {
    background: <?php echo $estatebud_theme_color; ?>;
    color: <?php echo $estatebud_theme_text_color; ?>
}

.estatebud-listing a:hover .estatebud-property .estatebud-property-footer .estatebud-property-price.estatebud-price-plus {
	background: <?php echo $estatebud_theme_color; ?>;
}

.estatebud_checkbox_holder .estatebud_checkbox:checked + label span { border-color: <?php echo $estatebud_theme_color; ?>; color: <?php echo $estatebud_theme_color; ?>; }

.estatebud-filter-form input:focus {
    border-color: <?php echo $estatebud_theme_color; ?> !important;
}

[data-pagination] ul li:hover, [data-pagination] ul li:hover a {
    background: <?php echo $estatebud_theme_color; ?>;
}

#estatebud-map-container .estatebud-map-filter .estatebud-filter-reset {
    color: <?php echo $estatebud_theme_color; ?>;
}

#estatebud_filter_form_button {
    background: <?php echo $estatebud_theme_color; ?>;
}

input:checked + .estatebud_switch_slider {
    background: <?php echo $estatebud_theme_color; ?>;
}

input:focus + .estatebud_switch_slider {
    box-shadow: 0 0 1px <?php echo $estatebud_theme_color; ?>;
}

.estatebud-sidebar-content a:hover .estatebud-property .estatebud-property-footer .estatebud-property-price.estatebud-price-plus {
    background: <?php echo $estatebud_theme_color; ?> !important;
}

.estatebud-map-filter .estatebud-row .estatebud-column input:focus {
    border-color: <?php echo $estatebud_theme_color; ?>;
}

.estatebud-map-filter .estatebud-item input:focus {
    border-color: <?php echo $estatebud_theme_color; ?>;
}

#estatebud-property-details .estatebud-header-container .estatebud-header-right-side .estatebud-property-actions a:hover {
	color: <?php echo $estatebud_theme_color; ?>;
}

<?php echo $GLOBALS["estatebud_custom_css"]; ?>
