(function ($, window) {
    $(document).ready(function () {
        jQuery(".sumo-input").SumoSelect();
        // convert localized data from wordpress to booleans
        estatebud.is_listing = estatebud.is_listing == "true";
        estatebud.is_details = estatebud.is_details == "true";
        estatebud.is_maps = estatebud.is_maps == "true";

        window.estatebudStylizeFilterForm = function (container) {
            if (container.length > 0) {
                container.find("select:not([multiple])").SumoSelect();
                container.find("select[multiple]").SumoSelect({
                    triggerChangeCombined: true,
                    csvDispCount: 0,
                    placeholder: estatebudL10n.any
                });
                container.find("select[multiple]").each(function(){
                    $(this).data("selected", ($(this).val() || []).join(";"));
                });
                container.find(".estatebud-filter-form-more").css("display", "none");

                container.find("select[multiple]").off("change").on("change", function(e){
                    var prevSelected = $(this).data("selected") ? $(this).data("selected").split(";") : [];
                    var currSelected = $(this).val() || [];
                    var deselected = prevSelected.filter(function(s){ return currSelected.indexOf(s) == -1; });
                    var selected = currSelected.filter(function(d) { return prevSelected.indexOf(d) == -1; });
                    if(selected.length > 0){
                        var $this = $(this).find("option[value='" + selected[0] + "']").first();
                        if ($this.hasClass("estatebud_level1")) {
                            $this.nextUntil(".estatebud_level1").prop("selected", true);
                        } else if ($this.hasClass("estatebud_level2")) {
                            $this.nextUntil(".estatebud_level1, .estatebud_level2").prop("selected", true);
                        } else if ($this.hasClass("estatebud_level3")) {
                            $this.nextUntil(".estatebud_level1, .estatebud_level2, .estatebud_level3").prop("selected", true);
                        }
                    }else if(deselected.length > 0){
                        var $this = $(this).find("option[value='" + deselected[0] + "']").first();
                        if ($this.hasClass("estatebud_level1")) {
                            $this.nextUntil(".estatebud_level1").prop("selected", false);
                        } else if ($this.hasClass("estatebud_level2")) {
                            $this.nextUntil(".estatebud_level1, .estatebud_level2").prop("selected", false);
                        } else if ($this.hasClass("estatebud_level3")) {
                            $this.nextUntil(".estatebud_level1, .estatebud_level2, .estatebud_level3").prop("selected", false);
                        }
                    }
                    $(this).data("selected", ($(this).val() || []).join(";"));
/*
                    if ($(this).val() !== null) {
                        var selected = $(this).val().length;
                        var total = $(this).find('option').length;
                        $(this).parent().find('.CaptionCont > span').html(estatebudL10n.sumoselect_format.replace('{count}', selected).replace('{total}', total));
                    } else {
                        $(this).parent().find('.CaptionCont > span').html(estatebudL10n.sumoselect_empty);
                    }*/
                    // refresh all
                    $(this).find("option").each(function(){
                        if($(this).data("li")) $(this).data("li").removeClass("selected");
                    }).filter(":selected").each(function(){
                        if($(this).data("li")) $(this).data("li").addClass("selected");
                    });
                    this.sumo.setText();

                }).trigger("change");
            }
        };

        if (estatebud.is_listing || estatebud.is_maps) {
            var container = $(".estatebud-filter-form, .estatebud-map-filter");

            if (container.length > 0) {
                estatebudStylizeFilterForm(container);

                if(container.find(".estatebud-filter-form-more").length > 0){
                    $("#estatebud_form_toggle").off("click").on("click", function () {
                        var that = $(this);

                        if (container.find(".estatebud-filter-form-more").is(':hidden')) {
                            container.find(".estatebud-filter-form-more").slideDown('fast');

                            that.find("span").text(estatebudL10n.show_less);
                            that.addClass("show_less");
                        } else {
                            container.find(".estatebud-filter-form-more").slideUp('fast');

                            that.find("span").text(estatebudL10n.show_more);
                            that.removeClass("show_less");
                        }
                    });
                }else{
                    $("#estatebud_form_toggle").hide();
                }

                var ajaxRequest = null;
                var rolling_back = true;
                var scroll_to_top = false;

                var estatebud_refresh_property_list = function () {
                    if (ajaxRequest) ajaxRequest.abort();

                    $(".estatebud-listing-container .estatebud-property, .estatebud-sidebar .estatebud-property").animate({ opacity: 0.2 }, 1000);

                    if (scroll_to_top) {
						if(estatebud.is_listing) {
							$("html, body").animate({
								scrollTop: $(".estatebud .estatebud-listing-container").offset().top
                            }, 1000);
						}

						if(estatebud.is_maps) {
							$(".estatebud-sidebar .estatebud-row").animate({
								scrollTop: 0
							}, 1000);
						}
                        scroll_to_top = false;
                    }

                    ajaxRequest = $.ajax({
                        url: estatebud.ajaxurl,
                        method: "GET",
                        cache: true,
                        data: estatebud_form_serialize(false),
                        headers: {
                            "Estatebud-Shortcode": (typeof estatebud.shortcode !== "undefined") ? estatebud.shortcode.current.shortcode_key : ''
                        },
                        success: function (data) {
                            if (estatebud.is_listing && !estatebud.is_maps) {
                                $(".estatebud-listing-container").html(data);
                                var _listing_type = getCookie("estatebud_listing_type");
                                if(_listing_type) switchTo(_listing_type, document.querySelector(".estatebud-listing-type [data-type='"+_listing_type+"']"));
                            }
                            else if (estatebud.is_maps && !estatebud.is_listing) {
                                data = JSON.parse(data);
                                if(estatebud.is_listing == false){
                                    $(".estatebud-sidebar-content").html(data.html);
                                }
                                estatebud_extendBounds = true;
                                estatebud_processData(data.data);
                            } else if (estatebud.is_maps && estatebud.is_listing) {
                                data = JSON.parse(data);
                                $(".estatebud-listing-container").html(data.html);
                                var _listing_type = getCookie("estatebud_listing_type");
                                if(_listing_type) switchTo(_listing_type, document.querySelector(".estatebud-listing-type [data-type='"+_listing_type+"']"));
                                estatebud_extendBounds = true;
                                estatebud_processData(data.data);
                            }
                            estatebud_update_document_hash(estatebud_form_serialize(true));
                            rolling_back = false;
                        }
                    });
                };

                var estatebud_form_serialize = function (remove) {
                    var values = container.find("form").serializeArray();
                    container.find("select[multiple]").filter(function(){ return $(this).val() == null; }).each(function(){
                        values.push({ name: $(this).attr("name"), value: null });;
                    });
                    if (remove) {
                        values = estatebud_serialize_arrays(values);
                        for (var key in values) {
                            var value1 = estatebud.shortcode.current[estatebud_fix_key(key)];
                            var value2 = values[key];
                            if ((value1 == value2) || (value1 instanceof Array && value2 instanceof Array &&
                                $(value1).not(value2).length === 0 && $(value2).not(value1).length === 0) || ["action", "security", "limit"].indexOf(key) > -1) {
                                delete values[key];
                            }
                        }
                        values = estatebud_serialize_array_back(values);
                    }
                    return $.param(values);
                };

                var estatebud_fix_key = function (oldkey) {
                    var newkeys = {
                        bathrooms: "bathrooms_max",
                        bedrooms: "bedrooms_max",
                    }
                    if (newkeys.hasOwnProperty(oldkey)) return newkeys[oldkey];
                    return oldkey;
                };

                var estatebud_serialize_array_back = function (arr) {
                    var result = [];
                    for (var key in arr) {
                        var value = arr[key];
                        if (value.constructor === Array) {
                            for (var p = 0, len = value.length; p < len; p++)
                                result.push({
                                    name: key + "[]",
                                    value: value[p]
                                });
                        } else {
                            //if (value !== "" && value !== 0 && value !== undefined) {
                                result.push({
                                    name: key,
                                    value: value
                                });
                            //}
                        }
                    }
                    return result;
                };

                var estatebud_serialize_arrays = function (arr) {
                    var newArr = [];
                    for (var i in arr) {
                        var key = arr[i].name;
                        var value = arr[i].value;
                        if (key.substr(-2, 2) == "[]") {
                            key = key.replace(/\[\]/, '');
                            if (newArr[key] == undefined) newArr[key] = [];
                            newArr[key].push(value);
                        } else {
                            newArr[key] = value;
                        }
                    }
                    return newArr;
                };

                var estatebud_update_document_hash = function (queryString) {
                    if (rolling_back) return;
                    var pageUrl = '?' + queryString;
                    history.pushState('', '', pageUrl);
                };

                var estatebud_rollback_document = function (queryString, resetForm) {
                    if(typeof resetForm === "undefined"){
                        estatebud_reset_form(true);
                    }
                    if (queryString.length > 0) {
                        container.find("form").deserialize(queryString.substr(1));
                    }
                    container.find("form select").trigger("change");
                };

                window.estatebud_reset_form = function (toShortCodeDefaults) {

                    let getShortcodeValue = (name, defaultval) => {
                        if(typeof estatebud === "undefined") return defaultval;
                        if(typeof estatebud.shortcode === "undefined") return defaultval;
                        if(typeof estatebud.shortcode.current === "undefined") return defaultval;
                        if(typeof estatebud.shortcode.current[name] === "undefined") return defaultval;
                        return estatebud.shortcode.current[name];
                    };

                    let fixInput = (input) => {
                        // Reset any form field.
                        let name = estatebud_fix_key(input.attr("name"));
                        if(["lang", "action", "security", "limit"].map((item) => {
                            return name == item ? 1 : 0;
                        }).reduce((total, value) => {
                            return total + value;
                        }) > 0) return;
                        if (input.is(':radio, :checkbox')) {
                                input.prop('checked', toShortCodeDefaults ? getShortcodeValue(name, false) : false);
                        } else if (input.is('select[multiple]')) {
                            if(input.is(':visible')) {
                                if(toShortCodeDefaults){
                                    let selectValues = getShortcodeValue(name.replace(/\[\]/,''), []);
                                    input.find('option').each(function () {
                                        $(this).prop('selected', selectValues.indexOf(this.value) >= 0);
                                    });
                                }else{
                                    input.find('option:selected').each(function () {
                                        $(this).prop('selected', false);
                                    });
                                }
                            }
                        } else if (input.is('select:not([multiple])')) {
                            if(toShortCodeDefaults){
                                input.val(input.find('option:first').val());
                            }else{
                                input.val(getShortcodeValue(name, input.find("option:first").val()));
                            }
                            input[0].sumo.reload();
                        } else if(input.is("textarea")) {
                            input.html(toShortCodeDefaults ? getShortcodeValue(name, "") : "");
                        }else if(this.type == "hidden" || this.type == "button") {
                            // do nothing for this types
                        }else{
                            input.val(toShortCodeDefaults ? getShortcodeValue(name, "") : "");
                        }
                    };

                    container.find('form :input').each(function () {
                        var input = $(this);
                        fixInput(input);
                    });

                    estatebud_rollback_document("", false);
                };

                window.switchTo = function(type, element){
                    var list = document.querySelector(".estatebud-listing-container .estatebud-listing");
                    if(list){
                        list = list.classList;
                        switch(type)
                        {
                            case "list":
                                list.remove("estatebud-listing-type-grid");
                                list.add("estatebud-listing-type-list");
                                setCookie("estatebud_listing_type", "list", 365);
                                break;
                            case "grid":
                                list.remove("estatebud-listing-type-list");
                                list.add("estatebud-listing-type-grid");
                                setCookie("estatebud_listing_type", "grid", 365);
                                break;
                        }
                    }
                    if(element) {
                        jQuery.each(jQuery(element).closest("ul").find("li"), function() {
							jQuery(this).removeClass("selected");
                        });

                        element.classList.add("selected");
                    }
                }

                window.estatebud_refresh_property_list_outside = function () {
                    estatebud_refresh_property_list();
                };

                window.estatebud_change_sort = function (elem) {
                    var sort = $(elem).val().split("|");
                    $(".estatebud-filter-form input[name='sort']").val(sort[0]);
                    $(".estatebud-filter-form input[name='sort_type']").val(sort[1].toUpperCase());
                    $(".estatebud-filter-form select:first").trigger("change");
                };

                window.addEventListener("popstate", function () {
                    rolling_back = true;
                    estatebud_rollback_document(location.search);
                    estatebud_refresh_property_list();
                });

                window.estatebud_form_submit_action = null;

                container.find("select, input[type='checkbox']").on("change", function () {
                    if (!rolling_back) {
                        if (estatebud.is_maps && estatebud_autoFilter == false) return;
                        if ($(this).prop("name") != "offset") {
                            $("input[name='offset']").val(0);
                        }
                        if (window.estatebud_form_submit_action) clearTimeout(window.estatebud_form_submit_action);
                        window.estatebud_form_submit_action = setTimeout(function () {
                            estatebud_refresh_property_list();
                        }, 200);
                    }
                });

                container.find("input:not(input[type='checkbox'])").on("keyup", function () {
                    if (!rolling_back) {
                        if (estatebud.is_maps && estatebud_autoFilter == false) return;
                        if ($(this).prop("name") != "offset") {
                            $("input[name='offset']").val(0);
                        }
                        if ($(this).prop("type") !== "hidden") {
                            if (window.estatebud_form_submit_action) clearTimeout(window.estatebud_form_submit_action);
                            window.estatebud_form_submit_action = setTimeout(function () {
                                estatebud_refresh_property_list();
                            }, 200);
                        } else {
                            estatebud_refresh_property_list();
                        }
                    }
                });

                {
                    (function($) {
                        var re = /([^&=]+)=?([^&]*)/g;
                        var decode = function(str) {
                            return decodeURIComponent(str.replace(/\+/g, ' '));
                        };
                        $.parseParams = function(query) {
                            var params = {}, e;
                            if (query) {
                                if (query.substr(0, 1) == '?') {
                                    query = query.substr(1);
                                }

                                while (e = re.exec(query)) {
                                    var k = decode(e[1]);
                                    var v = decode(e[2]);
                                    if (params[k] !== undefined) {
                                        if (!$.isArray(params[k])) {
                                            params[k] = [params[k]];
                                        }
                                        params[k].push(v);
                                    } else {
                                        params[k] = v;
                                    }
                                }
                            }
                            return params;
                        };
                    })(jQuery);

                    var area1 = jQuery('select[name=\"area_1[]\"]');
                    var area2 = jQuery('select[name=\"area_2[]\"]');
                    var area3 = jQuery('select[name=\"area_3[]\"]');
                    var area4 = jQuery('select[name=\"area_4[]\"]');
                    var query = jQuery.parseParams(location.search);
                    if(area1.val()){
                        jQuery('select[name=\"area_1[]\"]').trigger('change');
                        if(area2 && query['area_2[]']){
                            area2.val(query['area_2[]']).trigger('change');
                            if(area3 && query['area_3[]']){
                                area3.val(query['area_3[]']).trigger('change');
                                if(area4 && query['area_4[]']){
                                    area2.val(query['area_4[]']).trigger('change');
                                }
                            }
                        }
                    }
                }

                $(document).ready(function(){
                    if (estatebud.is_listing && !estatebud.is_maps){
                        estatebud_refresh_property_list();
                    }
                });

                $(document).on("click", ".estatebud-pagelink", function() {
					jQuery(this).parents('ul').find('li').removeClass('current');
					jQuery(this).parent().addClass('current');
                    scroll_to_top = true;
                    var offset = $(this).data("offset");
                    var estatebud_autoFilter_backup;
                    if(estatebud.is_maps) {
                        estatebud_autoFilter_backup = estatebud_autoFilter;
                        estatebud_autoFilter = true;
                        estatebud_skipMarkerDraw = true;
                    }
                    $("input[name='offset']").val(offset).trigger("keyup");
                    if(estatebud.is_maps) {
                        estatebud_autoFilter = estatebud_autoFilter_backup;
                    }
                });
            }

        } else {

            var container_property = $("#estatebud-property-details");

            window.addEventListener("load", function(){
                if(window.estatebud_property_id !== undefined){
                    var favorites = getCookie("estatebud_favorites");
                    if(favorites == null)
                    {
                        favorites = [];
                        setCookie("estatebud_favorites", JSON.stringify(favorites), 365);
                    }else{
                        favorites = JSON.parse(favorites);
                        var elem = this.document.querySelector(".estatebud-add-to-favorites");
                        if(favorites.indexOf(estatebud_property_id) >= 0){
                            elem.classList.add("active");
                            elem.querySelector("i").attributes["class"].value = "fas fa-star";
                            elem.attributes["title"].value = estatebudL10n.RemoveFromFavorites;
                        }else{
                            elem.classList.remove("active");
                            elem.querySelector("i").attributes["class"].value = "far fa-star";
                            elem.attributes["title"].value = estatebudL10n.AddToFavorites;
                        }
                    }
                }
            });

            window.addToFavs = function(id, elem){
                var favorites = JSON.parse(getCookie("estatebud_favorites")), action = null;
                if(favorites.indexOf(id) >= 0){
                    favorites = favorites.filter(function(item) {return item != id; });
                    action = "remove";
                }else{
                    favorites.push(id);
                    action = "add";
                }
                setCookie("estatebud_favorites", JSON.stringify(favorites), 365);
                if(action == "remove"){
                    elem.classList.remove("active");
                    elem.querySelector("i").attributes["class"].value = "far fa-star";
                    elem.attributes["title"].value = estatebudL10n.AddToFavorites;
                }else{
                    elem.classList.add("active");
                    elem.querySelector("i").attributes["class"].value = "fas fa-star";
                    elem.attributes["title"].value = estatebudL10n.RemoveFromFavorites;
                }
            };
			
			window.getRecaptchaField = function(callback) {
				if(jQuery('.estatebud-contact-form input[name=g-recaptcha-response]').length > 0) {
					grecaptcha.execute(jQuery('.estatebud-contact-form input[name=g-recaptcha-response]').attr('data-v3-sitekey'), { action: 'contact' }).then(function(token) {
						jQuery('.estatebud-contact-form input[name=g-recaptcha-response]').val(token);
						callback();
					});
				} else {
					callback();
				}
			};

            if (container_property.length > 0) {
                /**
                 * Share buttons
                 */

                jsSocials.setDefaults("email", {
                    logo: "fas fa-envelope"
                });

                jsSocials.setDefaults("facebook", {
                    logo: "fab fa-facebook"
                });

                jsSocials.setDefaults("twitter", {
                    logo: "fab fa-twitter"
                });

                jsSocials.setDefaults("vkontakte", {
                    logo: "fab fa-vk"
                });

                $(".estatebud-share-buttons").jsSocials({
                    shares: ["facebook", "twitter", "vkontakte", "email"],
                    url: location.href,
                    text: $(".estatebud-property-title").val(),
                    showLabel: false,
                    showCount: false,
                    shareIn: "popup"
                });

                /**
                 * Contact Form Submission
                 **/
                $(".estatebud-contact-form-submit").on("click", function () {
                    var that = $(this);
                    var form = that.parents("form").first().get(0);
                    if (form.checkValidity()) {
                        var button = $(form).find("[type='submit']");
                        var result = $(form).find(".contact-form-message");
                        button.prop("disabled", "disabled");
						
						window.getRecaptchaField(function() {
							$.ajax({
								method: "post",
								dataType: "json",
								url: estatebud.ajaxurl,
								data: $(form).serialize(),
								success: function (data) {
									if (data.status == 'error') {
										result.removeClass("contact-form-success").addClass("contact-form-error").text(data.message);
									} else if (data.status = 'success') {
										result.removeClass("contact-form-error").addClass("contact-form-success").text(data.message);
									}
									button.removeAttr("disabled");
									jQuery('.estatebud-contact-form').find('input[type=text], input[type=email], textarea').val('');
								},
								error: function (xhr, status, error) {
									result.removeClass("contact-form-success").addClass("contact-form-error").text(status);
									button.removeAttr("disabled");
								}
							})
						});
                    }
                });
            }
        }

        var fixSizes = function () {
            $(".estatebud-widget-container").each(function () {
                if ($(this).innerWidth() < 500) {
                    $(this).removeClass("estatebud-widget-container-vertical");
                } else {
                    $(this).addClass("estatebud-widget-container-vertical");
                }
                $(this).find(".estatebud-column").removeClass("estatebud-column-50");
                if ($(this).find(".estatebud-column").first().width() < 250) {
                    $(this).addClass("estatebud-widget-container-vertical");
                }
                if ($(this).find(".estatebud-column").first().width() < 250) {
                    $(this).find(".estatebud-column").addClass("estatebud-column-50");
                }
            });
        };

        var fixVideos = function () {
            $(".video-container iframe").each(function () {
                $(this).height($(this).width() * 9 / 16);
            });
        };

        $(window).on("resize", function () {
            fixSizes();
            fixVideos();
        });
        fixSizes();
        fixVideos();
    });

    window.estatebudChangeCurrency = (select, global) => {
        var selectedCurrency = select.value, currencyList = [];
        document.querySelectorAll(".estatebud-currency-container").forEach((container, index) => {
            container.setAttribute("data-index", index);
            let startCurrency = container.getAttribute("data-start-currency").toUpperCase();
            let startValue = container.getAttribute("data-start-value");
            currencyList.push({
                index: index,
                currency: startCurrency,
                value: startValue
            });
        });
        jQuery.ajax({
            url: estatebud.ajaxurl,
            method: "GET",
            cache: true,
            data: {
                action: "estatebud_convert_currencies",
                source: currencyList,
                target: selectedCurrency
            },
            success: (response) => {
                var parsed = JSON.parse(response);
                for (let index = 0; index < parsed.length; index++) {
                    const element = parsed[index];
                    jQuery(".estatebud-currency-container[data-index='"+element.index+"']").text(element.html).removeAttr("data-index");
                }
                if(global) {
                    setCookie("estatebud_selected_currency", selectedCurrency, 1);
                }
            }
        });
    };
})(jQuery, window);

function setCookie(name,value,days) {
    var expires = "";
    if (days) {
        var date = new Date();
        date.setTime(date.getTime() + (days*24*60*60*1000));
        expires = "; expires=" + date.toUTCString();
    }
    document.cookie = name + "=" + (value || "")  + expires + "; path=/";
}
function getCookie(name) {
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for(var i=0;i < ca.length;i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
    }
    return null;
}
