<?php require_once "estatebud-public-details-functions.php"; ?>
<div id="estatebud-property-details" class="estatebud-property-details-type-2">
    <?php if (property_exists($details, "images") && count($details->images) > 0) : ?>
    <div class="estatebud-slider-container">
        <ul id="estatebud-slider-full">
            <?php foreach ($details->images as $image) : ?>
			<?php if($image->status != '1') { continue; } ?>
            <li>
                <a class='estatebud-fancybox' data-fancybox="gallery-1" data-src="<?php echo $image->hd1080; ?>" href="javascript:;"><img src="<?php echo $image->hd1080; ?>"></a>
            </li>
            <?php endforeach; ?>
        </ul>
    </div>
    <script type="text/javascript">
    jQuery(function() {
        jQuery("[data-fancybox]").fancybox({
            protect: true,
            loop : false,
            thumbs : {
                axis : 'x',
                autoStart: true,
                hideOnClose: true
            },
            margin : [44,0,22,0],
			animationEffect: "fade",
			hash: false,
			backFocus: false
        });
        jQuery("#estatebud-slider-full").slick({
            dots: false,
            infinite: true,
            speed: 500,
            fade: true,
            cssEase: 'linear',
            arrows: true,
            nextArrow: "<div class='estatebud-slick-next'><i class='fas fa-chevron-right'></i></div>",
            prevArrow: "<div class='estatebud-slick-prev'><i class='fas fa-chevron-left'></i></div>",
        });
    });
    </script>
    <?php endif; ?>
	<div class="estatebud-property-details-inner">
		<div class="estatebud-header-container">
			<div class="estatebud-header-left-side">
<?php
$tags = "";
if(property_exists($details, "originalprice")) $tags .= "<div class='estatebud-property-tag estatebud-property-tag-reduced'>".estatebud__("app.reduced.price")."</div>";
if(property_exists($details, "labels")){
	foreach($details->labels as $label){
		if($label->public){
			$tags .= "<div class='estatebud-property-tag' style='background: #".$label->color."'>".estatebud__($label->name)."</div>";
		}
	}
}
$tags = trim($tags);

if($tags != "") {
	echo '<div class="estatebud-property-tags">'.$tags.'</div>';
}
?>
				<div class="estatebud-property-title">
					<?php echo estatebud_get_property_title($details); ?>
				</div>
				
				<div class="estatebud-property-location">
					<?php echo estatebud_get_locations_details($details); ?>
				</div>
			</div>
			
			<div class="estatebud-header-right-side">
				<div class="estatebud-property-actions">
					<?php if(get_option("estatebud_pdf_template", false) == true): ?>
					<a href="<?php echo estatebud_get_property_link($details)."?pdf=true"; ?>"><i class="far fa-file-pdf"></i></a>
					<?php endif;?>
					<a class="estatebud-add-to-favorites" title="<?php echo estatebud__("app.add.to.favorites");?>" href="javascript:void(0);" onclick="addToFavs('<?php echo $details->reference_id;?>', this);"><i class="far fa-star"></i></a>
				</div>
				
				<div class="estatebud-property-price">
					<?php echo estatebud_get_currency_details($estatebud_api, $details) ?>
				</div>
			</div>
		</div>
		
		<div class="estatebud-row estatebud-details">
			<div class="estatebud-container">
				<div class="estatebud-left">
					<div class="estatebud-block estatebud-title estatebud-heading">
						<div class="estatebud-title-text"><?php echo estatebud__("app.overview"); ?></div>
						<div class="estatebud-id-text estatebud-align-right"><?php estatebud_e("app.reference");?> <?php echo $details->reference_id; ?></div>
					</div>
					<div class="estatebud-block">
						<div class="estatebud-property-infos">
							<?php estatebud_property_infos($estatebud_api, $details);?>
						</div>
						<?php if(get_option('estatebud_show_rental_available_date', false) && property_exists($details, "tenant") && time() < strtotime($details->tenant->period_to) - (get_option('estatebud_rental_availability_days', "30") * 86400)) : ?>
						<div class="estatebud-tenant-notice">
							<?php printf(estatebud__("app.tenant.notice"), date("Y-m-d", strtotime($details->tenant->period_to))); ?>
						</div>
						<?php endif;?>
						<?php if(property_exists($details, "description")) : ?>
						<div class="estatebud-description">
							<?php echo nl2br(estatebud_get_translation_details($details->description)); ?>
						</div>
						<?php endif;?>
					</div>
					<?php if (property_exists($details, "zones")) : ?>
					<div class="estatebud-block estatebud-title">
						<div class="estatebud-title-text"><?php echo estatebud__("app.allowances"); ?></div>
					</div>
					<div class="estatebud-block estatebud-zones">
						<table width="100%" cellpadding="0" cellspacing="0" border="0">
							<tr>
								<th align="left"><?php echo estatebud__("app.zone"); ?></th>
								<th align="left"><?php echo estatebud__("app.cover.factor"); ?></th>
								<th align="left"><?php echo estatebud__("app.build.factor"); ?></th>
								<th align="left"><?php echo estatebud__("app.max.height"); ?></th>
								<th align="left"><?php echo estatebud__("app.max.floors"); ?></th>
							</tr>
							<?php foreach ($details->zones as $key => $array_zone) : ?>
							<tr>
								<td><?php echo $array_zone->name; ?></td>
								<td><?php if(property_exists($array_zone, "cover_factor") && $array_zone->cover_factor != '') echo $array_zone->cover_factor."%"; else echo "-"; ?></td>
								<td><?php if(property_exists($array_zone, "build_factor") && $array_zone->build_factor != '') echo $array_zone->build_factor."%"; else echo "-"; ?></td>
								<td><?php if(property_exists($array_zone, "max_height") && $array_zone->max_height != '') echo $array_zone->max_height." ".($estatebud_api->auth_info->measurements == "imperial" ? 'ft' : 'm'); else echo "-"; ?></td>
								<td><?php if(property_exists($array_zone, "max_floors") && $array_zone->max_floors != '') echo $array_zone->max_floors; else echo "-"; ?></td>
							</tr>
							<?php endforeach; ?>
						</table>
					</div>
					<?php endif; ?>
					<?php if (property_exists($details, "distances")) : ?>
					<div class="estatebud-block estatebud-title">
						<div class="estatebud-title-text"><?php echo estatebud__("app.distances"); ?></div>
					</div>
					<div class="estatebud-block">
						<div class="estatebud-distances">
							<?php foreach ($details->distances as $key => $distance) : ?>
							<div class="estatebud-distance"><?php echo estatebud_get_distance_icon($key); ?><b><?php echo estatebud_remove_parenthesis(estatebud_get_translation_details($distance->translations)); ?>: </b> <?php echo estatebud_get_distance_km(floatval($distance->value)); ?></div>
							<?php endforeach; ?>
						</div>
					</div>
					<?php endif;?>
					<?php if (property_exists($details, "floorplans") && count($details->floorplans) > 0) : ?>
					<div class="estatebud-block estatebud-title">
						<div class="estatebud-title-text"><?php echo estatebud__("app.floor.plan", count($details->floorplans)); ?></div>
					</div>
					<div class="estatebud-block">
						<div class="estatebud-floorplans">
							<?php foreach ($details->floorplans as $key => $floorplan) : ?>
							<a data-fancybox="gallery-2" class="estatebud-floorplan" data-src="<?php echo $floorplan->hd1080;?>" href="javascript:;">
								<img src="<?php echo $floorplan->small;?>" alt="" />
							</a>
							<?php endforeach; ?>
						</div>
					</div>
					<?php endif; ?>
					<?php if (property_exists($details, "videos") && count($details->videos) > 0) : ?>
					<div class="estatebud-block estatebud-title">
						<div class="estatebud-title-text"><?php echo estatebud__("app.video", count($details->videos)); ?></div>
					</div>
					<div class="estatebud-block">
						<div class="estatebud-videos">
							<?php foreach ($details->videos as $key => $video) :
							if($video->platform == 'youtube') : ?>
							<div class="estatebud-video">
								<iframe id="ytplayer" type="text/html" width="640" height="360" src="//www.youtube.com/embed/<?php echo $video->platform_id;?>?autoplay=0&hl=<?php echo get_locale();?>&origin=<?php echo $_SERVER["HTTP_HOST"];?>" frameborder="0" allowfullscreen></iframe>
							</div>
							<?php endif; endforeach; ?>
						</div>
					</div>
					<?php endif; ?>
					<?php if (property_exists($details, "plugins") && property_exists($details->plugins, "matterport") && property_exists($details->plugins->matterport, "virtualtour")) : ?>
					<div class="estatebud-block estatebud-title">
						<div class="estatebud-title-text"><?php echo estatebud__("app.virtual.tour"); ?></div>
					</div>
					<div class="estatebud-block">
						<div class="estatebud-videos">
							<div class="estatebud-video">
								<iframe src="<?php echo $details->plugins->matterport->virtualtour; ?>" allowfullscreen="" allowvr="" width="640" height="360" frameborder="0"></iframe>
							</div>
						</div>
					</div>
					<?php endif; ?>
					<?php if (property_exists($details, "plugins") && property_exists($details->plugins, "my360tours") && property_exists($details->plugins->my360tours, "virtualtour")) : ?>
					<div class="estatebud-block estatebud-title">
						<div class="estatebud-title-text"><?php echo estatebud__("app.virtual.tour"); ?></div>
					</div>
					<div class="estatebud-block">
						<div class="estatebud-videos">
							<div class="estatebud-video">
								<iframe src="<?php echo $details->plugins->my360tours->virtualtour; ?>" allowfullscreen="" width="640" height="360" frameborder="0"></iframe>
							</div>
						</div>
					</div>
					<?php endif; ?>
					<?php if (property_exists($details, "plugins") && property_exists($details->plugins, "googlepoly") && property_exists($details->plugins->googlepoly, "virtualtour")) : ?>
					<div class="estatebud-block estatebud-title">
						<div class="estatebud-title-text"><?php echo estatebud__("app.virtual.tour"); ?></div>
					</div>
					<div class="estatebud-block">
						<div class="estatebud-videos">
							<div class="estatebud-video">
								<iframe src="<?php echo $details->plugins->googlepoly->virtualtour; ?>" allowvr="yes" allow="vr; xr; accelerometer; magnetometer; gyroscope; autoplay;" allowfullscreen mozallowfullscreen="true" webkitallowfullscreen="true" onmousewheel="" width="640" height="360" frameborder="0"></iframe>
							</div>
						</div>
					</div>
					<?php endif; ?>
<?php
						$estatebud_gmaps_api_key = trim(get_option("estatebud_gmaps_api_key",""));
						if($estatebud_gmaps_api_key != "") :
							if(property_exists($details,"location_lat") && property_exists($details,"location_lng")) :
								$lat = trim($details->location_lat);
								$lng = trim($details->location_lng);
								if(!empty($lat) && !empty($lng)) :
?>
						<div class="estatebud-block" style="margin-top: 15px; padding: 0">
							<div class="estatebud-map" id="estatebud-map" style="width: 100%"></div>
						</div>
						<script type='text/javascript'>
							var estatebud_map;
							function estatebud_createMap() {
<?php
									echo "var lat = " . $details->location_lat . ", lng = " . $details->location_lng . ";";
?>
								var mapProp= {
									center:new google.maps.LatLng(lat, lng),
									zoom:15,
                                    scrollwheel: false
								};
								var estatebud_map = new google.maps.Map(document.getElementById("estatebud-map"), mapProp);
								<?php if( property_exists($details,"location_accuracy") && $details->location_accuracy != 0): ?>
								var circle = new google.maps.Circle({
									strokeColor: "<?php echo get_option("estatebud_theme_color", "#FF0000")?>",
									strokeOpacity: 0.8,
									strokeWeight: 2,
									fillColor: "<?php echo get_option("estatebud_theme_color", "#FF0000")?>",
									fillOpacity: 0.35,
									center: new google.maps.LatLng(lat, lng),
									radius: <?php echo $details->location_accuracy * 1000; ?>,
									map:estatebud_map
								});
								<?php else: ?>
								var marker = new google.maps.Marker({
									position: new google.maps.LatLng(lat, lng),
									map:estatebud_map
								});
								<?php endif;?>
							}
						</script>
<?php       
								endif;
							endif;
						endif;
?>
				</div>
				<div class="estatebud-right">
				    <?php
			    	if(get_option("estatebud_currency_calculator", false)) :
					$currencies = get_option("estatebud_selected_currencies", []);
					$api_currency = strtoupper($estatebud_api->auth_info->currency);
					if(!in_array($api_currency, $currencies)) $currencies[] = $api_currency;
					$default_currency = isset($_COOKIE["estatebud_selected_currency"]) ? $_COOKIE["estatebud_selected_currency"] : "";
					if(!in_array($default_currency, $currencies)) $default_currency = $api_currency;
					if(count($currencies) > 1) : sort($currencies); ?>
						<div class="estatebud-block estatebud-title estatebud-heading">
							<div class="estatebud-title-text"><?php echo estatebud__("app.currency"); ?></div>
						</div>
						<div class="estatebud-block estatebud-currency">
							<?php estatebud_show_currency_select($currencies, $default_currency); ?>
						</div>
					<?php endif; endif; ?>
					<?php if(property_exists($details, "agents") && count($details->agents) > 0 && get_option("estatebud_show_agents", false) == true):?>
					<div class="estatebud-block estatebud-title estatebud-heading">
						<div class="estatebud-title-text"><?php echo estatebud__("app.agent", count($details->agents)); ?></div>
					</div>
					<div class="estatebud-block estatebud-agents">
						<?php foreach ($details->agents as $key => $agent) : ?>
							<?php if(property_exists($agent, "image")) : ?>
							<div class="estatebud-agent-picture">
								<img src="<?php echo $agent->image->{'150x150'}; ?>" alt="<?php echo $agent->firstname . " " . $agent->lastname; ?>" />
							</div>
							<?php endif; ?>

							<span class="estatebud-agent-name"><?php echo $agent->firstname . " " . $agent->lastname; ?></span>
							<span class="estatebud-agent-title"><?php echo $agent->title; ?></span>

							<span class="estatebud-agent-email"><a href="mailto:<?php echo $agent->email; ?>?subject=<?php echo estatebud_e("app.reference") . " " . $details->reference_id; ?>"><i class="fas fa-envelope"></i> <?php echo $agent->email; ?></a></span>
							<?php if(strlen($agent->phone)) : ?><span class="estatebud-agent-phone"><a href="tel:+<?php echo $agent->phone_call_code . $agent->phone; ?>"><i class="fas fa-phone"></i> (+<?php echo $agent->phone_call_code; ?>) <?php echo $agent->phone; ?></a></span><?php endif; ?>
						<?php endforeach; ?>
					</div>
					<?php endif;?>
					<?php if(property_exists($details, "branch") && get_option("estatebud_show_branch", false) == true):?>
					<div class="estatebud-block estatebud-title estatebud-heading">
						<div class="estatebud-title-text"><?php echo estatebud__("app.branch"); ?></div>
					</div>
					<div class="estatebud-block estatebud-branch">
						<div class="estatebud-branch-title"><?php echo $details->branch->name; ?></div>
						<?php if(strlen($details->branch->email)) : ?><span class="estatebud-branch-email"><a href="mailto:<?php echo $details->branch->email; ?>?subject=<?php echo estatebud_e("app.reference") . " " . $details->reference_id; ?>"><i class="fas fa-envelope"></i> <?php echo $details->branch->email; ?></a></span><?php endif;?>
						<?php if(strlen($details->branch->phone)) : ?><span class="estatebud-branch-phone"><a href="tel:+<?php echo $details->branch->phone_call_code . $details->branch->phone; ?>"><i class="fas fa-phone"></i> (+<?php echo $details->branch->phone_call_code; ?>) <?php echo $details->branch->phone; ?></a></span><?php endif;?>
					</div>
					<?php endif;?>
					<?php if (property_exists($details, "facilities")) : ?>
						<div class="estatebud-block estatebud-title">
							<div class="estatebud-title-text"><?php echo estatebud__("app.facilities"); ?></div>
						</div>
						<div class="estatebud-block">
							<div class="estatebud-facilities">
								<ul>
								<?php foreach ($details->facilities as $key => $facility) : ?>
								<li class="estatebud-facility"><b><?php echo estatebud_get_translation_details($facility->translations); ?><?php echo $facility->value == "1" ? "</b>" : ",</b> " . $facility->value; ?></li>
								<?php endforeach; ?>
								</ul>
							</div>
						</div>
						<?php endif; ?>
						<?php if (property_exists($details, "features")) : ?>
						<div class="estatebud-block estatebud-title">
							<div class="estatebud-title-text"><?php echo estatebud__("app.features"); ?></div>
						</div>
						<div class="estatebud-block">
							<div class="estatebud-features">
								<ul>
								<?php foreach ($details->features as $key => $feature) : ?>
								<li class="estatebud-feature"><b><?php echo estatebud_get_translation_details($feature->translations); ?></b></li>
								<?php endforeach; ?>
								</ul>
							</div>
						</div>
					<?php endif; ?>
					<div class="estatebud-block estatebud-title estatebud-heading">
						<div class="estatebud-title-text"><?php echo estatebud__("app.contact"); ?></div>
					</div>
					<div class="estatebud-block estatebud-contact">
						<div class="estatebud-contact-form">
							<form method="post" onsubmit="return false;">
								<input type="hidden" name="action" value="estatebud_send_contact">
								<input type="hidden" name="property_id" value="<?php echo $property_id; ?>">
								<input type="hidden" name="reference_id" value="<?php echo $details->reference_id; ?>">
								<?php if(property_exists($details, "price")) : $currency = key((array)$details->price); ?>
								<input type="hidden" name="currency" value="<?php echo $currency; ?>">
								<input type="hidden" name="price" value="<?php echo $details->price->{$currency}->amount; ?>">
								<?php endif; ?>
								<input type="hidden" name="contact_security" value="<?php echo wp_create_nonce("estatebud_send_contact"); ?>">
								<input type="text" required name="name" placeholder="<?php estatebud_e("app.name"); ?>" /><br>
								<input type="email" required name="email" placeholder="<?php estatebud_e("app.email"); ?>" /><br>
								<input type="text" required name="phone" placeholder="<?php estatebud_e("app.phone"); ?>" /><br>
								<textarea required name="message" placeholder="<?php estatebud_e("app.message"); ?>"></textarea>
								<?php
									$use_recaptcha = get_option("estatebud_use_recaptcha", false);
									if($use_recaptcha && get_option("recaptcha3_sitekey_value")) : ?><input type="hidden" name="g-recaptcha-response" data-v3-sitekey="<?php echo get_option("recaptcha3_sitekey_value"); ?>" value="" /><?php
									elseif($use_recaptcha) : ?><div class="g-recaptcha" data-sitekey="<?php echo get_option("recaptcha_sitekey_value", null); ?>"></div><?php endif;
								
									$privacy_policy = trim(get_option("estatebud_email_privacy_policy_url", ""));
									if(!empty($privacy_policy)) : ?>
									<div class="estatebud-contact-pp-url"><input type='checkbox' class='styled_checkbox_small' id="estatebud_privacy_policy_check" name='estatebud-privacy-policy-accepted'><label for="estatebud_privacy_policy_check"><?php printf(estatebud__("app.contact.policy"), $privacy_policy);?></label></div>
									<?php endif; ?>
								<button type="submit" class='estatebud-contact-form-submit'><?php estatebud_e("app.send.message"); ?><i class="fas fa-paper-plane"></i></button>
								<div class='contact-form-message'></div>
							</form>
						</div>
					</div>
					<?php if(get_option("estatebud_show_qr_code", false) == true):?>
					<div class="estatebud-block estatebud-title estatebud-heading">
						<div class="estatebud-title-text"><?php echo estatebud__("app.open.mobile"); ?></div>
					</div>
					<div class="estatebud-block estatebud-qrcode">
						<div id="qrcode"></div>
						<script type="text/javascript">
						var qrcode = new QRCode(document.getElementById("qrcode"), {
							text: "<?php echo (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' || isset($_SERVER['HTTP_X_FORWARDED_PROTO']) && $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https' ? "https" : "http") . "://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];?>",
							width: 160,
							height: 160,
							colorDark : "#000000",
							colorLight : "#ffffff",
							correctLevel : QRCode.CorrectLevel.H
						});
						</script>
					</div>
					<?php endif;?>
				</div>
			</div>
		</div>
	</div>
    <div class="estatebud-row">
        <div class="estatebud-container estatebud-share">
            <div class="estatebud-share-title"><?php estatebud_e("app.share"); ?></div>
            <div class="estatebud-share-buttons"></div>
        </div>
    </div>
</div>
