<?php require_once "estatebud-public-details-functions.php"; ?>

<?php

$is_widget = isset($is_widget) ? $is_widget : false;
$is_slider = isset($is_slider) ? $is_slider : false;

if(!$is_widget) {
	$is_favorites=isset($_GET['is_favorites']) ? $_GET['is_favorites'] : false;
	if($is_favorites) {
		$favorites_page = url_to_postid($_SERVER['HTTP_REFERER']);
		if($favorites_page > 0) {
			$favoritesTitle = get_the_title($favorites_page);
		}
	}
?>
<div class="estatebud-title-container">
    <div class="estatebud-title-container-inner">
        <div class="estatebud-title">
            <h1><?php if(isset($is_favorites) AND $is_favorites) { if(isset($favoritesTitle)) echo $favoritesTitle; else estatebud_e("app.favorites"); } elseif(isset($estatebud_list) && property_exists($estatebud_list, "query")) { printf(estatebud__("app.property.results", $estatebud_list->query->properties_total_count), $estatebud_list->query->properties_total_count); } ?></h1>
        </div>
        <div class="estatebud-listing-type">
            <ul>
                <li data-type="list" onclick="switchTo('list', this);" <?php if(get_option("estatebud_listing_type","") != '') echo 'class="selected"';?>><i class="fas fa-th-list"></i>&nbsp;<?php estatebud_e("app.view.list");?></li>
                <li data-type="grid" onclick="switchTo('grid', this);" <?php if(get_option("estatebud_listing_type","") == '') echo 'class="selected"';?>><i class="fas fa-th"></i>&nbsp;<?php estatebud_e("app.view.grid");?></li>
            </ul>
        </div>
    	<div class="estatebud-sort">
    		<div class="estatebud-icon">
    			<i class="fas fa-sort"></i>
    		</div>
    		<div class="estatebud-select-container">
    			<select id="estatebud-sorting" onchange='estatebud_change_sort(this);'>
                    <option <?php if(((isset($_GET["sort"]) && $_GET["sort"] == "published") || !isset($_GET["sort"])) && (isset($_GET["sort_type"]) && $_GET["sort_type"]== "DESC")){ echo "selected"; } ?> value='published|desc'><?php estatebud_e("app.recently.published"); ?></option>
                    <option <?php if((isset($_GET["sort"]) && $_GET["sort"] == "updated") && (isset($_GET["sort_type"]) && $_GET["sort_type"]== "DESC")){ echo "selected"; } ?> value='updated|desc'><?php estatebud_e("app.recently.updated"); ?></option>
    				<option <?php if((isset($_GET["sort"]) && $_GET["sort"] == "property_id") && (isset($_GET["sort_type"]) && $_GET["sort_type"]== "DESC")){ echo "selected"; } ?> value='property_id|desc'><?php estatebud_e("app.recently.created"); ?></option>
    				<option <?php if((isset($_GET["sort"]) && $_GET["sort"] == "price") && ((isset($_GET["sort_type"]) && $_GET["sort_type"]== "ASC") || !isset($_GET["sort_type"]))){ echo "selected"; } ?> value='price|asc'><?php estatebud_e("app.price.increasing"); ?></option>
    				<option <?php if((isset($_GET["sort"]) && $_GET["sort"] == "price") && (isset($_GET["sort_type"]) && $_GET["sort_type"]== "DESC")){ echo "selected"; } ?> value='price|desc'><?php estatebud_e("app.price.decreasing"); ?></option>
    			</select>
    			<script>
    				(function($){
    					$("#estatebud-sorting").SumoSelect({
    						theme: "estatebud",
    						minimumResultsForSearch: -1,
    						containerCss: {"min-width": "200px"}
    					});
    				})(jQuery);
    			</script>
    		</div>
        </div>
    </div>
</div>
<?php
	$row_class = "estatebud-row";
	$listing_type = get_option("estatebud_listing_type", "estatebud-listing-type-grid");
} else {
	if($is_slider){
		$row_class = "estatebud-row estatebud-slider-row estatebud-slider-$is_slider";
		$listing_type = "estatebud-listing-type-slider";
		require plugin_dir_path(__FILE__) . '../../includes/slider/'.$slider_template.'.css.php';
	}else{
		$row_class = "estatebud-row";
		$listing_type = ($layout == "vertical" ? "estatebud-listing-type-list" : "estatebud-listing-type-grid");
	}
}

?>

<div class="estatebud-listing <?=$listing_type?>">
    <div class="<?=$row_class?>">
    <?php
	if(isset($estatebud_list) && property_exists($estatebud_list, "query") && $estatebud_list->query->properties_total_count > 0 && property_exists($estatebud_list, "results")){
    	$items_shown = 0;
    	foreach($estatebud_list->results as $id => $details){
			if ($is_slider) {
				estatebud_generate_property_list_slider_entry($estatebud_api, $details, $slider_template);
			} else {
				echo estatebud_generate_property_list_entry($estatebud_api, $details);
			}
            $items_shown++;
            if(isset($is_widget) && $is_widget && $items_shown == $property_limit) break;
        }
    }else{
        echo '<div class="estatebud-column-full no-results">';
		echo '<h2>';
        echo estatebud__("app.no.properties.found");
		echo '</h2>';
		echo estatebud__("app.check.your.filters");
        echo '<i class="far fa-frown"></i>';
        echo '</div>';
    }
?>
    </div>
</div>

<div class="estatebud-pagination">
	<?php if(!isset($is_widget) || !$is_widget) require "estatebud-public-listing-pagination.php"; ?>
</div>