<?php
require_once "estatebud-public-details-functions.php";

if(isset($estatebud_list) && property_exists($estatebud_list, "query") && $estatebud_list->query->properties_total_count > 0 && property_exists($estatebud_list, "results")) {
?>
<div class="estatebud-title-container">
    <div class="estatebud-title-container-inner">
        <div class="estatebud-title">
            <h1><?php if(isset($is_favorites) AND $is_favorites) { if(isset($favoritesTitle)) echo $favoritesTitle; else estatebud_e("app.favorites"); } elseif(isset($estatebud_list) && property_exists($estatebud_list, "query")) { printf(estatebud__("app.property.results", $estatebud_list->query->properties_total_count), $estatebud_list->query->properties_total_count); } ?></h1>
        </div>
    	<div class="estatebud-sort">
    		<div class="estatebud-icon">
    			<i class="fas fa-sort"></i>
    		</div>
    		<div class="estatebud-select-container">
    			<select id="estatebud-sorting" onchange='estatebud_change_sort(this);'>
                    <option <?php if(((isset($_GET["sort"]) && $_GET["sort"] == "published") || !isset($_GET["sort"])) && (isset($_GET["sort_type"]) && $_GET["sort_type"]== "DESC")){ echo "selected"; } ?> value='published|desc'><?php estatebud_e("app.recently.published"); ?></option>
                    <option <?php if((isset($_GET["sort"]) && $_GET["sort"] == "updated") && (isset($_GET["sort_type"]) && $_GET["sort_type"]== "DESC")){ echo "selected"; } ?> value='updated|desc'><?php estatebud_e("app.recently.updated"); ?></option>
    				<option <?php if((isset($_GET["sort"]) && $_GET["sort"] == "property_id") && (isset($_GET["sort_type"]) && $_GET["sort_type"]== "DESC")){ echo "selected"; } ?> value='property_id|desc'><?php estatebud_e("app.recently.created"); ?></option>
    				<option <?php if((isset($_GET["sort"]) && $_GET["sort"] == "price") && ((isset($_GET["sort_type"]) && $_GET["sort_type"]== "ASC") || !isset($_GET["sort_type"]))){ echo "selected"; } ?> value='price|asc'><?php estatebud_e("app.price.increasing"); ?></option>
    				<option <?php if((isset($_GET["sort"]) && $_GET["sort"] == "price") && (isset($_GET["sort_type"]) && $_GET["sort_type"]== "DESC")){ echo "selected"; } ?> value='price|desc'><?php estatebud_e("app.price.decreasing"); ?></option>
    			</select>
    			<script>
    				(function($){
    					$("#estatebud-sorting").SumoSelect({
    						theme: "estatebud",
    						minimumResultsForSearch: -1,
    						containerCss: {"min-width": "200px"}
    					});
    				})(jQuery);
    			</script>
    		</div>
        </div>
    </div>
</div>
<?php
	echo '<div class="estatebud-row">';
	$items_shown = 0;
	
	foreach($estatebud_list->results as $id => $data) {
		echo estatebud_generate_property_list_entry($estatebud_api, $data, array("open_new_tab" => true));
	}
    
    require_once "estatebud-public-listing-pagination.php";
    echo '</div>';
}
?>