<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='area_1[]']");
if ($select->length > 0) {
    $select = $select->item(0);
    $values = isset($request["area_1"]) ? $request["area_1"] : [];
    $query = isset($request["query"]) ? esc_attr($request["query"]) : null;

    $areas = [];
    if ($select->hasChildNodes() == false) {
        $select->setAttribute("multiple", true);
        $areas = $estatebud_api->get_property_areas();

        foreach ($areas as $items) {
            $option = $document->createElement("option", htmlspecialchars($items["name"]));
            $option->setAttribute("value", esc_attr($items["id"]));
            if (in_array($items["id"], $values) || trim(strtolower($items["name"])) == trim(strtolower($query)) || count($areas) == 1) {
                $option->setAttribute("selected", true);
            }
            $select->appendChild($option);
        }
    } else {
        for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
            $child = $select->childNodes->item($i);
            if (in_array($child->getAttribute("value"), $values) || trim(strtolower($child->textContent)) == trim(strtolower($query))) {
                $child->setAttribute("selected", true);
            }
        }
    }

    // append the json structure from the requested areas to prevent multiple requests
    echo "<script>
        var estatebud_areas = JSON.parse('" . json_encode($areas, JSON_HEX_QUOT | JSON_HEX_APOS) . "');
        var queryAreas = function(keys){
            var results = [];
            for(var i = 0; i < keys.length; i++){
                var realKey = '';
                if(keys[i].indexOf('^') > 0){
                    realKey = keys[i].split('^')[1];
                }else{
                    realKey = keys[i];
                }
                var item = recursive_query(estatebud_areas, realKey);
                if(item != null){
                    results = results.concat([{
                        id: item.id,
                        name: item.name,
                        areas: item.areas
                    }]);
                }
            }
            return results;
        };
        var recursive_query = function(array, key){
            var result = null;
            for(var i = 0; i < array.length; i++){
                if(array[i].id == key) return array[i];
                if(array[i].hasOwnProperty('areas') && array[i].areas.length > 0){
                    result = recursive_query(array[i].areas, key);
                    if(result != null) return result;
                }
            }
            return result;
        };
    </script>";

}
