<?php
$domQuery = new DOMXPath($document);
$area2_select = $domQuery->query("//select[@name='area_2[]']");
if ($area2_select->length > 0) {
    $area2_select = $area2_select->item(0);

    if ($area2_select->hasChildNodes()) {
        for ($i = $area2_select->childNodes->length - 1; $i >= 0; $i--) {
            $area2_select->removeChild($area2_select->childNodes->item($i));
        }
    }

    $area2_select->setAttribute("multiple", true);
    echo "<script>
        jQuery(document).on('change', \"select[name='area_1[]']\", function(e){
            var select = jQuery(e.target);
            var children = queryAreas(select.val() || '');
            var target = jQuery(\"select[name='area_2[]']\");
            if(target.length > 0){
                var prev_selected = target.val();
                target.empty();
                if(children.length > 0){
                    for(var i = 0; i < children.length; i++){
                        var content = [];
                        if(children.length > 1) content = ['<optgroup label=\"' + children[i].name + '\">'];
                        for(var j = 0; j < children[i].areas.length; j++){
                            content.push('<option value=\"' + children[i].id + '^' + children[i].areas[j].id + '\" '+
                                ((prev_selected && prev_selected.indexOf(children[i].id + '^' + children[i].areas[j].id) >= 0) ? 'selected' : '') +
                                '>' + children[i].areas[j].name + '</option>'
                            );
                        }
                        if(children.length > 1) content.push('</optgroup>');
                        target.append(content.join(''));
                    }
                }
                target[0].sumo.reload();
                target.trigger('change');
            }
        });
    </script>";
}
