<?php
$domQuery = new DOMXPath($document);
$select = $domQuery->query("//select[@name='area[]']");
if ($select->length > 0) {

    $values = isset($request["area"]) && is_array($request["area"]) && !empty($request["area"]) ? $request["area"] : false;
    $query = isset($request["query"]) ? esc_attr($request["query"]) : null;

    $select = $select->item(0);
    if ($select->hasChildNodes() == false) {
        $select->setAttribute("multiple", "true");
        $areas = $estatebud_api->get_property_areas();

        // fetch also area's array
        if ($values == false) {
            $has_linked_areas = false;
            if (isset($request["area_4"]) && count($request["area_4"]) > 0) {
                $has_linked_areas = true;
                $area4 = array_map(function ($d) {return explode('^', $d);}, $request["area_4"]);
                $level4_parents = array_column($area4, 0);
                $level4_ids = array_column($area4, 1);
            } else {
                $level4_ids = [];
                $level4_parents = [];
            }

            if (isset($request["area_3"]) && count($request["area_3"]) > 0) {
                $has_linked_areas = true;
                $area3 = array_map(function ($d) {return explode('^', $d);}, $request["area_3"]);
                $level3_parents = array_column($area3, 0);
                $level3_ids = array_diff(array_column($area3, 1), $level4_parents);
            } else {
                $level3_ids = [];
                $level3_parents = [];
            }

            if (isset($request["area_2"]) && count($request["area_2"]) > 0) {
                $has_linked_areas = true;
                $area2 = array_map(function ($d) {return explode('^', $d);}, $request["area_2"]);
                $level2_parents = array_column($area2, 0);
                $level2_ids = array_diff(array_column($area2, 1), $level3_parents);
            } else {
                $level2_ids = [];
                $level2_parents = [];
            }

            if (isset($request["area_1"]) && count($request["area_1"]) > 0) {
                $has_linked_areas = true;
                $level1_ids = array_diff($request["area_1"], $level2_parents);
            } else {
                $level1_ids = [];
            }
            if ($has_linked_areas) {
                $values = array_merge($level1_ids, $level2_ids, $level3_ids, $level4_ids);
            } else {
                $values = [];
            }
        }

        $level = 0;
        if (!function_exists("estatebud_area_options")) {
            function estatebud_area_options(&$document, &$select, $arr, $values, $query, $level = 1)
            {
                foreach ($arr as $items) {
                    $option = $document->createElement("option", htmlspecialchars($items["name"]));
                    $option->setAttribute("class", "estatebud_level{$level}");
                    $option->setAttribute("value", esc_attr($items["id"]));
                    if (in_array($items["id"], $values) || trim(strtolower($items["name"])) == trim(strtolower($query))) {
                        $option->setAttribute("selected", true);
                    }
                    $select->appendChild($option);
                    if (isset($items["areas"]) && count($items["areas"]) > 0) {
                        estatebud_area_options($document, $select, $items["areas"], $values, $query, $level + 1);
                    }
                }
            }
        }

        estatebud_area_options($document, $select, count($areas) == 1 ? $areas[0]["areas"] : $areas, $values, $query);

    } else {
        for ($i = 0, $len = $select->childNodes->length; $i < $len; $i++) {
            $child = $select->childNodes->item($i);
            if (in_array($child->getAttribute("value"), $values) || trim(strtolower($child->textContent)) == trim(strtolower($query))) {
                $child->setAttribute("selected", true);
            }
        }
    }
}
